% Generate Figure 7.5 quantile plots from different data sets.
m = 2000; % number of simulations
ns = 1000; %
ndiscard = 40000;

% PDC simulations
metric = 'euc';
% Perform m Monte Carlo simulations 
[res, resa] = notch_monte_carlo(m, ns, ndiscard, metric);

pairs = [[2,1]; [1,2]];
connectivity = [0 0]; % 0 = not connected; 1 = connected.
headTitle = ['Figure 7.5(left panel) PDC QQplot x1-->x2, m = ' int2str(m) ', ns = ' int2str(ns)];
qqplots(res, resa, metric, pairs, connectivity, headTitle);
shg

% iPDC simulation
metric = 'info';
% Perform m Monte Carlo simulations 
[res, resa] = notch_monte_carlo(m, ns, ndiscard, metric);

pairs = [[2,1]; [1,2]];
connectivity = [0 0]; % 0 = not connected; 1 = connected.
headTitle = ['Figure 7.5(right panel) iPDC QQplot x1-->x2, m = ' int2str(m) ', ns = ' int2str(ns)]
qqplots(res, resa, metric, pairs, connectivity, headTitle);

% print -depsc -adobecset notch_unbalanced_corr_qqplots.eps
